Версия API Graph

CPASCollaboration Request

Чтение

Request from either producer/merchant to another producer/merchant.

Пример

Graph API Explorer
GET /v27.0/{cpas-collaboration-request-id} HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{cpas-collaboration-request-id}',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{cpas-collaboration-request-id}",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{cpas-collaboration-request-id}",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{cpas-collaboration-request-id}"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Чтобы узнать, как использовать API Graph, ознакомьтесь с нашим руководством по API Graph.

Параметры

Эта конечная точка не содержит параметров.

Поля

ПолеОписание
id
numeric string

The id of the object

ad_account_id
string

Brand's ad account id if the request is a Self-Serve request

ad_account_name
string

Brand's ad account name if the request is a Self-Serve request

brands
list<string>

brands

catalog_segment

Catalog Segment shared from merchant to producer if the request is a Self-Serve request

contact_email
string

contact_email

contact_first_name
string

contact_first_name

contact_last_name
string

contact_last_name

creation_time
datetime

creation_time

phone_number
string

The phone number of the request sender

receiver_business

Business that is receiving the collaboration request.

requester_agency_or_brand
enum

requester_agency_or_brand

seller_id
string

Seller id if the request is a Self-Serve request

sender_business

sender_business

sender_client_business

Business which the sender business is representing in the request

shop_url
string

Shop url if the request is a Self-Serve request

source
enum

The source of where the request was made e.g. SELF_SERVE

status
enum

The status of the request handled by the receiver

Error Codes

ОшибкаОписание
100Invalid parameter

Создание

Нельзя выполнить эту операцию в этой конечной точке.

Обновление

Нельзя выполнить эту операцию в этой конечной точке.

Удаление

Нельзя выполнить эту операцию в этой конечной точке.